﻿# DSP Galactic Scale 2.0 Mod

Release 2.0.74.0
Changes from beta release 2.0.73.0: (Most likely will break existing saves)

 - I've redone the Galactic Scale Generator. Let me know what you think (Preferably in discord)
 - Old Generator is where it was, new one is called Dev.
 - Fixed a weird bug that would prevent save games from loading. But not always.
 - Trash should no longer into space on outer planets.
 - Skip Prologue option checkbox fixed
 - Fixed sliders (in Dev Gen) losing their config if Ludicrous mode is enabled
 - Fixed some JSON Theme Minification that wasn't working. More to come.
 - Fixed belts going into logistics stations on tiny planets.
 - Hopefully fixed belt connections to ghosts breaking
 - Fixed power system bug for huge factories
 - Added Help button to main menu.

-----------

After a looooong time ... here it is. Galactic Scale 2.0 Beta! Thanks everyone for your patience!

What Galactic Scale 2.0 is: A Framework for creating generator plugins that can completely customize everything to do with galaxy/planet generation in Dyson Sphere Program, with two different generators built in.

What can be customized?

- Planet Sizes from 5-510 tile radius (Vanilla is 200)
- Gas Giant Sizes from 500-5100
- Star Counts from 1-1024+ stars
- Planet Themes (New planet types aplenty)
- Vein Distribution
- Terrain Generation
- Vegetation Distribution
- Star location, size, luminosity etc. All exposed to configuration.
- Binary Stars.
- System generation. Everything is configurable. Planets can share orbits.
- All planets can have moons, including planets that are already moons. Moonception.
- Planet material customization. Tinting, texture replacement etc.
- Planet shader configuration. Change ocean and atmosphere params.
- Binary Planets.

And so much more that I've forgotten. Documentation will be coming soon!

[BETA] 2.0.0 :  Go to the discord for the changelogs , help and instructions about the mod :)

/!\ READ THIS

# Discord for Galactic Scale's team work
https://discord.gg/NbpBn6gM6d --> It will not replace the modding discord community. But at least it will be easier to talk about the mod and ask me directly questions :)

#Patch notes & releases :
You can find all the releases and the patch notes here : http://customizing.space/release or https://github.com/Touhma/DSP_Plugins/releases

#Bug report :
Go on the discord or post a ticket here :
https://github.com/Touhma/DSP_Plugins/issues

## Disclaimer
This mod is pretty much incompatible with anything touching on any part of the generation : we will not support any compatibility before the release.

A beta release means you may encounter: bugs , broken saves etc ... it's EXPERIMENTAL Please report any issues on the discord!

We need feedback, bug reports, and ideas. Plus we are always looking for dev help!.

Have fun with it and good testing !

## How to Install :

First Install Bepinex in your game
folder : https://bepinex.github.io/bepinex_docs/master/articles/user_guide/installation/index.html?tabs=tabid-win

Then Download the latest release of the mod : http://customizing.space/release or https://github.com/Touhma/DSP_Plugins/releases

Add it in bepinex plugins folder in your game : %gamefolder%\Dyson Sphere Program\BepInEx\plugins

Launch the game and you should be all set !

## How to use galactic-scale ?

All settings are in the in game settings menu
There are 2 generators in the beta release:
- Sol: An accurate rendition of our solar system and neighboring stars.
- GalacticScale: Customize everything!

Additional generators can be created by the community! Documentation on this feature will be written soon.

## For modders :

We spent a lot of time working on that mod so please ... don't be a thiefy mcThieferson.

If you have some features or ideas that would need our code to work, talk to the main dev first ( Innominata#0454 ) on Discord about it. GS2 is very expandable, and you can probably do it easily with a generator or other plugin.

If you wanna fix something, please go ahead and do a pull request, we'll happily credit you for your work.

Do NOT make a mod just to change the default configuration or a few parameters, create your own generator instead :) if it's good it can make it to the official release of the mod.

We would love that mod to be a framework for community created plugins concerning everything around the generation of the moons, planets, stars, etc

This mod is and will always be free of charge for everyone.

We'll see in the future if people wanna give us a pint of beer if they wanna support us, but again : it will stay open & free of charge for everyone.

If you wanna reuse some piece of code : make your own work free of charge & open source too.
